Skip to main content

Conduit API Reference

Get started with our API.

Open in Postman

Fork our pre-configured collection with all API endpoints
For setup instructions, see our Postman Collection Guide.
Sandbox vs Production:
  • This collection defaults to sandbox (https://sandbox-api.conduit.financial)
  • To use production, change client_base_url to https://api.conduit.financial
  • Always use separate API credentials for production
  • Test thoroughly in sandbox before deploying to production

Base URLs

EnvironmentURL
Sandboxhttps://sandbox-api.conduit.financial
Productionhttps://api.conduit.financial

Authentication

All API requests require authentication using your API key and secret:
curl -X GET https://sandbox-api.conduit.financial/accounts \
  -H "X-API-Key: your_api_key" \
  -H "X-API-Secret: your_api_secret" \
  -H "Api-Version: 2024-12-01"
See Setting up your API credentials to learn how to obtain and use your credentials.

Getting Started

Sandbox Setup

Set up your sandbox environment

Authentication

Learn how to authenticate API requests

Postman Collection

Test APIs with pre-configured requests

Webhooks

Set up real-time event notifications